<html>
	<head>
    	<style type="text/css">
		<!--
			body {
			 color:#fff;
			 margin: 0;
			 padding: 0;
			 font-size: 18px;
			 font-weight: bold
			}
			
			.menuBar {
			 background-image: url('./design/menuBar.png');
			 height: 20px;
			 width: 479px;
			 padding: 5px;
			 margin-bottom: 5px;
			line-height: 1;
			}
		-->
		</style>
        <script language="JavaScript" src="./keycodes_native.js" type="text/javascript">/*Cargar Teclas*/</script>
        
        <script type="text/javascript">
			KeyHandler.process = function(c,ev)
			{
				try {
					//alert(c);
					switch (c)
					{
						case KEY_TV:
							window.parent.document.location.href= "file:///home/telefonica/localpages/start.html";
							ev.consume();
							break;
						case KEY_UP:
							irArriba();
							ev.consume();
							break;
						case KEY_DOWN:
							irAbajo();
							ev.consume();
							break;
						case KEY_SELECT:
							ejecutar();
							ev.consume();
							break;
						case 0x170:
							zoom();
							ev.consume();
							break;
						case 0x474:
							Reproducir();
							ev.consume();
							break;
						case 0x477:
							Pausar();
							ev.consume();
							break;
						case 0x177:
							Parar();
							ev.consume();
							break;
						case KEY_RIGHT:
							Avanzar();
							ev.consume();
							break;
						case KEY_LEFT:
							Retroceder();
							ev.consume();
							break;
					}
				} catch (ex) {alert ("ERROR: " + ex + " - " + GetExceptionName(ex));}
			}
			</script>
    </head>
    <body>
		<?php require_once("config.php"); ?>
		<!-- gestionar enlaces -->
		<script type="text/javascript">
			var elementoSeleccionado = 0;
			var elementoPantalla = 0;	//de los elementos que se ven en la pantalla, cual está seleccionado (se ven 12)
			var elementoTotal = <?php echo count($dirFavourites); ?>;
			var url = Array();
			var primerArchivo = 0;
			var isFull = 0;
			
			function cargar(enlace)
			{
				window.location.href = url[enlace];
			}
			
			function irArriba()
			{
				//controlar scroll
				if( (elementoPantalla == 0) && (elementoSeleccionado > 0) && (elementoTotal > 12) )
				{
					document.getElementById('objeto'+ (elementoSeleccionado - 1) ).style.display = "block";
				}
				else if(elementoPantalla > 0) elementoPantalla--;
				
				document.getElementById('objeto'+elementoSeleccionado).style.color = "#ffffff";
				elementoSeleccionado--;
				if(elementoSeleccionado < 0)
				{
				 	elementoSeleccionado = elementoTotal - 1;
					elementoPantalla = 11;
					
					//oculto todo menos los 12 ultimos
					for(i = 0; i < (elementoTotal - 12); i++)
					{ 
						document.getElementById('objeto'+i ).style.display = "none";
					}
				}
				document.getElementById('objeto'+elementoSeleccionado).style.color = "#ffff00";			
			}
			
			function irAbajo()
			{
				//controlar scroll
				if( (elementoPantalla >= 11) /*&& (elementoSeleccionado < (elementoTotal - 1) )*/ )
				{
					ocultoElemento = elementoSeleccionado - 11;
					document.getElementById('objeto'+ocultoElemento).style.display = "none";
				}
				else if(elementoPantalla < 11) elementoPantalla++;
				
				document.getElementById('objeto'+elementoSeleccionado).style.color = "#ffffff";
				elementoSeleccionado++;
				if(elementoSeleccionado >= elementoTotal)
				{ 
					elementoSeleccionado = 0;
					elementoPantalla = 0;
					
					//hago todos visibles
					for(i = 0; i < elementoTotal; i++) document.getElementById('objeto'+i ).style.display = "block";
				}
				document.getElementById('objeto'+elementoSeleccionado).style.color = "#ffff00";			
			}
			
			function ejecutar()
			{
				setTimeout(document.getElementById('objeto'+elementoSeleccionado).onclick,1);
			}
		</script>
		<?php //elegimos la tarea elegida
		if(isset($_REQUEST['seleccion']) )
		{
			//menu principal con los tipos de contenidos que hay
			$elementoContador = 0;
			
			foreach($dirFavourites as $tipo => $destino)
			{
				echo "<div class='menuBar' onclick='cargar(".$elementoContador.");' id='objeto".$elementoContador."'> &raquo; ".$tipo."</div>";
				echo "<script type='text/javascript'> url[".$elementoContador."] = 'indice.php?tipo=".$tipo."&archivo=".str_replace("\\","/",$destino)."'; </script>";
				$elementoContador++;
			}
			
			echo "<script type='text/javascript'> document.getElementById('objeto0').style.color = '#ffff00'; </script>";
		}
		else if(isset($_GET['tipo']))
		{
			switch($_GET['tipo'])
			{
				case "Fotos": ?>
					<script language="javascript">
                        var temporizador;
						
						function zoom()
						{
							if (isFull == 0)
							{
								window.parent.document.getElementById('fullScreenMode').style.visibility = "visible";
								isFull = 1;
							}
							else
							{
								window.parent.document.getElementById('fullScreenMode').style.visibility = "hidden";
								isFull = 0;
							}
						}
						
						function cargarImagen(enlace)
                        {
							window.parent.document.getElementById('videoPreview').innerHTML = "<img src='ver_imagen.php?ruta="+url[enlace]+"' width='155' />";
							window.parent.document.getElementById('fullScreenMode').innerHTML = "<img src='ver_imagen.php?ruta="+url[enlace]+"' style='max-width: 720px; max-height: 576px;' />";
                        }
						
						url[0] = 'indice.php?seleccion=';
						
						function Reproducir()
						{
							//evitar que arranque en una carpeta
							while(elementoSeleccionado < primerArchivo)
							{
								irAbajo();
							}
							
							cargarImagen(elementoSeleccionado);
							irAbajo();
							
							//nos saltamos las carpetas si llegamos al final
							while(elementoSeleccionado < primerArchivo)
							{
								irAbajo();
							}
							
							temporizador = setTimeout("Reproducir();",6500);
						}
						
						function Parar()
						{
							clearTimeout(temporizador);
						}
						
						function Pausar()
						{
							Parar();
						}
						
						function Avanzar()
						{
							cargarImagen(elementoSeleccionado);
							irAbajo();
						}
						
						function Retroceder()
						{
							irArriba();
							
							//nos saltamos las carpetas si llegamos al final
							while(elementoSeleccionado < primerArchivo)
							{
								irArriba();
							}
							
							cargarImagen(elementoSeleccionado);
						}
                    </script>
                    <div class='menuBar' onclick='cargar(0);' style="color: #ffff00;" id='objeto0'> &raquo; Menu principal</div>
                    <?php
					//leemos los archivos
					$type = array("dir" => array(), "file" => array());
					if(file_exists($_GET['archivo']) )
					{
						if ($sHandle = opendir($_GET['archivo']) )
						{
							$sFile =  readdir($sHandle);
							while(false !== $sFile)
							{
								if ($sFile != '.')
								{
										if($sFile == '..' || is_dir(str_replace("/","\\",$_GET['archivo']).'\\'.$sFile))
										{
											$type['dir'][] = $sFile;
										}
										else
										{
											$type['file'][] = $sFile;
										}
								}
								$sFile =  readdir($sHandle);
							}
							closedir($sHandle);
						}
					}
					//mostramos los directorios
					$elementoContador = 1;
					for($i=0; $i < count($type['dir']); $i++)
					{
						echo "<div class='menuBar' onclick='cargar(".$elementoContador.");' id='objeto".$elementoContador."'><img src='./res/carpeta.bmp' /> ".substr($type['dir'][$i],0,40)."</div>";
						echo "<script type='text/javascript'> url[".$elementoContador."] = 'indice.php?tipo=".$_GET['tipo']."&archivo=".$_GET['archivo']."/".$type['dir'][$i]."'; </script>\n";
						$elementoContador++;
					}
					echo "<script language='javascript'> primerArchivo = ".$elementoContador."; </script>";
					for($i=0; $i < count($type['file']); $i++)
					{
						if( (strtolower(substr($type['file'][$i],-4)) == ".bmp") ||
							(strtolower(substr($type['file'][$i],-5)) == ".jpeg") ||
							(strtolower(substr($type['file'][$i],-4)) == ".jpg") ||
							(strtolower(substr($type['file'][$i],-4)) == ".gif") )
						{
							echo "<div class='menuBar' onclick='cargarImagen(".$elementoContador.");' id='objeto".$elementoContador."'><img src='./res/archivo.bmp' /> ".substr($type['file'][$i],0,40)."</div>";
							echo "<script type='text/javascript'> url[".$elementoContador."] = '".$_GET['archivo']."/".$type['file'][$i]."'; </script>\n";
							$elementoContador++;
						}
					}
					echo "<script language='javascript'>elementoTotal = ".$elementoContador."</script>";
					break;
					/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
				case "Videos": ?>
					<iframe id="controlVLC" height="0" width="0" frameborder="0" marginwidth="0" marginheight="0" scrolling="no"></iframe>
					<script language="javascript">
						url[0] = 'indice.php?seleccion=';
						window.parent.document.getElementById('videoPreview').innerHTML = "";
						window.parent.document.getElementById('fullScreenMode').innerHTML = "";
												
						function zoom()
						{
							try{
								if (isFull == 0)
								{
									window.parent.document.getElementById('fullScreenMode').style.visibility = "visible";
									top.Video.videoPlayer.window.setFullScreen();
									isFull = 1;
								}
								else
								{
									window.parent.document.getElementById('fullScreenMode').style.visibility = "hidden";
									top.Video.videoPlayer.window.setPosition(7,121,166,120);
									isFull = 0;
								}
							}
							catch(ex) { alert(ex); }
						}
						
						function Reproducir()
						{
							vlc("?file=" + url[elementoSeleccionado]);
							
							setTimeout("vlc('?play=true');",1000);
							try{
								top.Video.setChannel('<?php echo $vlcAddress; ?>',"1","none");
								top.Video.configFull();
							}
							catch(ex) { alert(ex); }
						}
						
						function vlc(mode)
						{	
							document.getElementById('controlVLC').src = "./vlc.php" + mode;							
						}
						
						function Parar()
						{
							vlc("?stop=true");
						}
						
						function Avanzar()
						{
						}
						
						function Retroceder()
						{
						}
						
						function Pausar()
						{
							vlc("?pause=true");
						}
                    </script>
                    <div class='menuBar' onclick='cargar(0);' style="color: #ffff00;" id='objeto0'> &raquo; Menu principal</div>
                    <?php
					//leemos los archivos
					$type = array("dir" => array(), "file" => array());
					if(file_exists($_GET['archivo']) )
					{
						if ($sHandle = opendir($_GET['archivo']) )
						{
							$sFile =  readdir($sHandle);
							while(false !== $sFile)
							{
								if ($sFile != '.')
								{
										if($sFile == '..' || is_dir(str_replace("/","\\",$_GET['archivo']).'\\'.$sFile))
										{
											$type['dir'][] = $sFile;
										}
										else
										{
											$type['file'][] = $sFile;
										}
								}
								$sFile =  readdir($sHandle);
							}
							closedir($sHandle);
						}
					}
					//mostramos los directorios
					$elementoContador = 1;
					for($i=0; $i < count($type['dir']); $i++)
					{
						echo "<div class='menuBar' onclick='cargar(".$elementoContador.");' id='objeto".$elementoContador."'><img src='./res/carpeta.bmp' /> ".substr($type['dir'][$i],0,40)."</div>";
						echo "<script type='text/javascript'> "; 
						echo "url[".$elementoContador."] = 'indice.php?cache=".time()."&tipo=".$_GET['tipo']."&archivo=".$_GET['archivo']."/".$type['dir'][$i]."'; </script>\n";
						$elementoContador++;
					}
					echo "<script language='javascript'> primerArchivo = ".$elementoContador."; </script>";
					for($i=0; $i < count($type['file']); $i++)
					{
						if( (strtolower(substr($type['file'][$i],-4)) == ".mpg") ||
							(strtolower(substr($type['file'][$i],-5)) == ".mpeg") ||
							(strtolower(substr($type['file'][$i],-4)) == ".avi") )
						{
							echo "<div class='menuBar' onclick='Reproducir();' id='objeto".$elementoContador."'><img src='./res/archivo.bmp' /> ".substr($type['file'][$i],0,40)."</div>";
							echo "<script type='text/javascript'> url[".$elementoContador."] = '".$_GET['archivo']."/".$type['file'][$i]."'; </script>\n";
							$elementoContador++;
						}
					}
					echo "<script language='javascript'>elementoTotal = ".$elementoContador."</script>";
					
					
					break;
			}
		}
		//echo "<a href='' onclick='irAbajo(); alert(elementoSeleccionado); return false;'>ABAJO</a>";
		?>
	</body>
</html>